/****
 *
 * Exemplo: continue.c
 *
 * Captulo: 1
 * Seo: 1.7.5
 *
 * Demonstra: Uso de instues continue dentro de
 *            instues for.
 *
 ****/

#include <stdio.h>

int main(void)
{
   int i;

   printf("\nPrimeiro for:\n");
	for (i = 1, printf("\nExpressao 1"); printf("\nExpressao 2"), i < 3; i++, printf("\nExpressao 3"))
    	printf("\nCorpo do primeiro for");

   printf("\n\nSegundo for:\n");
	for (i = 1; printf("\nExpressao 2"); printf("\nExpressao 3"))
    	if (i++ < 2)
      	continue;
      else
      	break;

   return 0;
}

/*****************************

	Resultado:

	Primeiro for:

	Expressao 1
	Expressao 2
	Corpo do primeiro for
	Expressao 3
	Expressao 2
	Corpo do primeiro for
	Expressao 3
	Expressao 2


	Segundo for:

	Expressao 2
	Expressao 3
	Expressao 2

*****************************/


