/****
 *
 * Exemplo: while.c
 *
 * Captulo: 1
 * Seo: 1.7.3
 *
 * Demonstra: Laos de repetio while.
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
	long  x, y, cont;

/**********************************************/
   x = 0L;
   y = 10L;
   cont = 0;
   while (x < y) {
      cont++;
      x++;
      y--;
   }

   printf("Exemplo 1:");
   printf("\nN. de execucoes = %d", cont);
   printf("\nx = %d\ty = %d\n", x, y);

/**********************************************/
   x = 0L;
   y = 10L;
   cont = 0;
   while (x < y) {
      cont++;
      ++x;
      --y;
 	}

   printf("\nExemplo 2:");
   printf("\nN. de execucoes = %d", cont);
   printf("\nx = %d\ty = %d\n", x, y);

/**********************************************/
   x = 0L;
   y = 10L;
   cont = 0;
   while (x++ < y--) {
      cont++;
   }

   printf("\nExemplo 3:");
   printf("\nN. de execucoes = %d", cont);
   printf("\nx = %d\ty = %d\n", x, y);

/**********************************************/
   x = 0L;
   y = 10L;
   cont = 0;
   while (++x < --y) {
      cont++;
   }

   printf("\nExemplo 4:");
   printf("\nN. de execucoes = %d", cont);
   printf("\nx = %d\ty = %d\n", x, y);

   return 0;
}

/***************************

Exemplo 1:
N. de execucoes = 5
x = 5   y = 5

Exemplo 2:
N. de execucoes = 5
x = 5   y = 5

Exemplo 3:
N. de execucoes = 5
x = 6   y = 4

Exemplo 4:
N. de execucoes = 4
x = 5   y = 5

***************************/