/****
 *
 * Exemplo: Escopo3.c
 *
 * Captulo: 4
 * Seo: 4.3
 *
 * Demonstra: Escopo de bloco vs. escopo de funo.
 *
 ****/

#include <stdio.h>

int UmaFuncao(int x)
{
   int y = z + 1, /* ILEGAL: uso de z fora de seu escopo */
       z = 2; /* O escopo de z comea aqui */

   if (z < 10.0)
      goto umRotulo;

umRotulo:      /* O rtulo  declarado aqui, mas seu escopo */
   z = x + y;  /* comea no incio do corpo da funo       */

   /* ... */
   return 0;
}

int OutraFuncao(int x)
{
   {
      float x = 2.5f; /* Perfeitamente legal */
   }
   /* ... */
   return 0;
}


int main ()
{
    return 0;
}
