/****
 *
 * Exemplo: MacroIMPRIME_VALOR.c
 *
 * Captulo: 5
 * Seo: 5.3.6
 *
 * Demonstra: Uso do operador de concatenao de tokens #.
 *
 ****/

#include <stdio.h>

#define IMPRIME_VALOR(x) printf("Valor de " #x " = %Lf\n", x)

int main(void)
{
   double x = 1.0, y = 2.0, z = 3.0;

   IMPRIME_VALOR(x);
   IMPRIME_VALOR(x*y);
   IMPRIME_VALOR(x + y + z);

   return 0;
}
