/****
 *
 * Exemplo: ArBiEPoint.c
 *
 * Captulo: 7
 * Seo: 7.6.3
 *
 * Demonstra: Relao entre ponteiros e arrays multidimensionais.
 *
 ****/

#include <stdio.h>

void ImprimeArrayBi(int a[][2], int dim1, int dim2)
{
   int i, j;

   for (i = 0; i < dim2; ++i)
      printf("\t%d", i);

   putchar('\n');

   for (i = 0; i < dim1; ++i) {
      printf("\n%d", i);
      for (j = 0; j < dim2; ++j)
         printf("\t%d", a[i][j]);
   }

}

int main ()
{

   int   ar[3][2] = {
	                  {1, 2},
	                  {3, 4},
		              {5, 6}
		            };

    ImprimeArrayBi(ar, 3, 2);

    printf("\n\nar[2][1] = %d\n", ar[2][1]);

    printf("*(int *)( (char *)ar + 20 ) = %d\n", *(int *)( (char *)ar + 20 ));


    return 0;
}
