/****
 *
 * Exemplo: strpbrk.c
 *
 * Captulo: 8
 * Seo: 8.4.9
 *
 * Demonstra: O uso de strpbrk.
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char *str1 = "Apenas um string";
   char *str2 = "Teste";
   char *ocorrenciaPtr;

   ocorrenciaPtr = strpbrk(str1, str2);

   if (ocorrenciaPtr)
      printf("Dentre os caracteres em \"%s\", \'%c\' "
             "e' o primeiro a aparecer em \"%s\"\n",
             str2, *ocorrenciaPtr, str1);
   else
      printf("Nao existe caractere em \"%s\" que apareca em \"%s\"\n",
             str2, str1);

   return 0;
}
