/****
 *
 * Exemplo: Bubble1.c
 *
 * Captulo: 10
 * Seo: 10.8.1
 *
 * Demonstra: Implementao do mtodo da bolha de ordenao.
 *
 ****/

#include <stdio.h>

#define  FALSE  0
#define  TRUE   1

void  BubbleSort(int lista[], unsigned  int  tamanhoDaLista)
{
   unsigned  i, ordenada = FALSE;
   int 	 aux;

   while (!ordenada){
      ordenada = TRUE; /* Supe que a lista est ordenada */

      for (i = 0; i < tamanhoDaLista - 1; i++){
        if (lista[i] > lista[i+1]){ /* Compara elementos adjacentes */
          ordenada = FALSE; /* Pelo menos um elemento fora de ordem */
                              /* Troca elementos adjacentes */
          aux = lista[i];
          lista[i] = lista[i+1];
          lista[i+1] = aux;
        }  /* final do if */
      } /* final do for */
   } /* final do while */
} /* final da funcao BubbleSort */

int main(void)
{
    int  arrayDeInts[] = {12, 55, 21, 1, 6, 8, 17, 220, 5, 83};
    int  i, tamanhoAr;

    tamanhoAr = sizeof(arrayDeInts)/sizeof(arrayDeInts[0]);

    for (i=0; i < tamanhoAr; i++) {
    	 printf(" %d ", arrayDeInts[i]);
    }

    BubbleSort(arrayDeInts, tamanhoAr);

    printf("\n\n\n");
    for (i=0; i < tamanhoAr; i++) {
    	 printf(" %d ", arrayDeInts[i]);
    }

    return 0;
}

