/****
 *
 * Exemplo: PontFunc1.c
 *
 * Captulo: 10
 * Seo: 10.5
 *
 * Demonstra: Ponteiros para funes.
 *
 ****/

#include <stdlib.h>
#include <stdio.h>

extern  int  F1(float); /* Aluso da funo F1() */

int main(void)
{
   int  (*pf)(float); /* Ponteiro para funo que recebe um float */
                      /* como argumento e retorna um valor int    */

   pf = F1; /* pf passa a apontar para a funo F1() */

   pf = F1(2.5); /* Ilegal, pois F1()  uma chamada de        */
                 /* funo que retorna int. Portanto, se est */
                 /* tentando atribuir um valor do tipo int a  */
                 /* um ponteiro, o que  ilegal.              */

   pf = &F1(2.5); /* Ilegal, pois se est tentando obter  */
                  /* o endereo do valor retornado por F1 */

   pf = &F1;  /* Estritamente falando,  incorreto, pois */
              /* se est tentando obter o endereo de um */
              /* endereo, mas compiladores ISO no iro */
              /* considerar isto um erro. Eles           */
              /* simplesmente ignoraro o operador &.    */

   return 0;
}
