/****
 *
 * Exemplo: EntradaSemBuffer.c
 *
 * Captulo: 12
 * Seo: 12.10.9
 *
 * Demonstra: Funes de entrada e sada no-portveis.
 *
 ****/

#include <stdio.h>
#include <conio.h>

int Minha_getch()
{
   return getch();
}

int Minha_getche()
{
   return getche();
}

int main(void)
{
   int c;

   printf("Digite um caractere:");
   c = Minha_getch();  /* L um nico caractere diretamente */
                       /* do teclado, sem ecoar na tela     */
   printf("\nCaractere digitado: '%c'\n", c);

   printf("\nDigite outro caractere:");
   c = Minha_getche();  /* L um nico caractere diretamente */
                        /* do teclado, ecoando na tela        */
   printf("\nCaractere digitado: '%c'\n", c);

   return 0;
}
