/****
 *
 * Exemplo: breaks.c
 *
 * Captulo: 1
 * Seo: 1.7.5
 *
 * Demonstra: o uso de breaks em estruturas de controle
 *            aninhadas.
 *
 ****/

#include <stdio.h>

int main(void)
{
   while (1) {
      if (1)
         break;
      printf("\nDentro do primeiro while");
   }

   printf("\nSaida do primeiro while");

   while (1) {
      while (1) {
         break;
         printf("\nDentro do while interno");
      }
      printf("\nDentro do while externo");
      break;
   }

   printf("\nSaida do segundo while");

   return 0;
}

/*****************************/
/* Resultado:
/* Saida do primeiro while
/* Dentro do while externo
/* Saida do segundo while
/*****************************/