﻿/****
 *
 * Exemplo: Advertencia.c
 *
 * Capítulo: 6
 * Seção: 6.11.1
 *
 * Demonstra: O uso do compilador para prevenir erros de programação.
 *
 * Compile o programa sem a opção -Wall e execute-o.
 * O programa será abortado.
 *
 * Compile o programa com a opção -Wall e note que
 * o compilador é capaz de indicar a causa o erro:
 *
 * warning: format '%d' expects type 'int *', but argument 2 has type 'int'
 *
 ****/

#include <stdio.h>

int x;

int main()
{
   printf("Digite um numero inteiro: \n");
   scanf("%d", x);

   printf("Valor introduzido = %d\n", x);

   return 0;
}

