void Pointers()
{
   int func1 ( void );
   int (*fptr1) ( void ) = func1;		/* OK */
   int func2 ( short int );		/* OK */
   int (*fptr2) (short int) = func2;

   fptr1 = ( int (*) (void) ) = func2;	/* OK */
   (*fptr1) ();		/* undefined behaviour: func2 takes short int argument */
}


int main()
{
   int 			anInt;
   int const	aConstInt = 10;
   int 			*ptrInt;
   int const 	*ptrIntCons;
   void 		*ptrVoid;

   short s = 3;
   long *lp;
   int i, *ip = &i;
   short *sp = &s;

   lp = s;			/* Implementation-defined behaviour */
   lp = (long *) s;	/* OK. But may hide a potential bug */

   sp = (short *) ip;	/* OK */

   return 0;
}
