/****
 *
 * Exemplo: PontFunc3.c
 *
 * Captulo: 10
 * Seo: 10.5.4
 *
 * Demonstra: Funo que retorna um ponteiro para funo.
 *
 ****/

#include <stdlib.h>
#include <stdio.h>

typedef int (*tFuncPtr) (float);

extern  int  F1(float);
extern  int  F2(float);

tFuncPtr EscolheFuncao(unsigned condicao)
{
   if (condicao)
		   return  F1;

   return  F2;
}

int  (*EscolheFuncao2(unsigned condicao))(float)
{
   if (condicao)
		return  F1;

   return  F2;
}

int main(void)
{
   unsigned umUnsigned = 1;
   int		(*pf)(float);

   pf = EscolheFuncao2(umUnsigned);
   pf = EscolheFuncao(umUnsigned);

   return 0;
}
