/****
 *
 * Exemplo: PermiteAcessoDireto.c
 *
 * Captulo: 12
 * Seo: 12.9
 *
 * Demonstra: Como verificar se um stream permite acesso direto.
 *
 ****/

#include <stdio.h>

int main(void)
{
   int    naoPermiteAcessoDireto = 0;
   FILE  *stream;

   stream = fopen("Arq.dat", "rt");

   if (!stream) {
      printf("Nao foi possivel abrir o stream\n");
      return 1;
   }

   naoPermiteAcessoDireto = fseek(stream, 0L, SEEK_CUR);

   if (naoPermiteAcessoDireto)
      printf("O stream associado ao arquivo NAO permite acesso direto\n");
   else
      printf("O stream associado ao arquivo permite acesso direto\n");

   naoPermiteAcessoDireto = fseek(stdin, 0L, SEEK_CUR);

   if (naoPermiteAcessoDireto)
      printf("O stream stdin NAO permite acesso direto\n");
   else
      printf("O stream stdin permite acesso direto\n");

   return 0;
}
