/****
 *
 * Exemplo: ferrorEclearerr.c
 *
 * Captulo: 12
 * Seo: 12.10.7
 *
 * Demonstra: O uso das funes ferror() e clearerr().
 *
 ****/

#include <stdio.h>

int main(void)
{
   FILE *stream;

   stream = fopen("Arq2.dat", "w");/* Abre arquivo s para escrita */

       /* Gera propositalmente uma condio de erro */
   (void) getc(stream);

       /* Verifica se h alguma condio de erro para o arquivo */
   if (ferror(stream)) {
      fprintf(stderr, "Ocorreu um erro de leitura\n");

           /* Zera indicadores de erro e de final de arquivo */
      clearerr(stream);
   }

       /* Neste ponto, o arquivo pode ser processado normalmente */

   fclose(stream);

   return 0;
}
