/****
 *
 * Exemplo: renomeia.c
 *
 * Captulo: 12
 * Seo: 12.10.5
 *
 * Demonstra: O uso da funo rename().
 *
 ****/

#include <stdio.h>

int main(int argc, char  *argv[])
{
         /* Deveria haver trs nomes na execuo    */
         /* deste programa: o nome do programa,     */
         /* o nome atual do arquivo e seu novo nome */
   if (argc != 3){
      printf("Uso do programa: renomeia \"nome do arquivo\""
             " \"novo nome\"" );
      return 1;
   }

   if (!rename(argv[1], argv[2])) {
      printf("O arquivo \"%s\" foi renomeado para \"%s\"",
              argv[1], argv[2]);
      return 0;
   }

   printf("Nao foi possivel rebatizar o arquivo \"%s\"", argv[1]);

   return 1; /* Operao falhou */
}
