/****
 *
 * Exemplo: snprintf.c
 *
 * Captulo: 12
 * Seo: 12.10.3
 *
 * Demonstra: O uso da funo snprintf().
 *
 ****/

#include <stdio.h>

#define MAX 80

int main(void)
{
   char    array[MAX];  /* Array onde snprintf() ir escrever */
   int     umInt = 32, nCarEscritos = 0;
   double  umDouble = 6.35;
   char   *umString = "bola";
   char    umChar = 'X';
   char   *formato = "umInt = %d, umDouble = %lf, umString = %s, "
                     "umChar = %c"; /* String de formao */

   nCarEscritos = snprintf( array, MAX, formato, umInt,
                           umDouble, umString, umChar );

   printf( "String:\n\t%s \n\nNumero de caracteres escritos no array:"
           " %d\n", array, nCarEscritos );

   return 0;
}
