/****
 *
 * Exemplo: tmpnam.c
 *
 * Captulo: 12
 * Seo: 12.10.6
 *
 * Demonstra: O uso da funo tmpnam().
 *
 ****/

#include <stdio.h>

int main(void)
{
   char  nomeTmp[L_tmpnam + 1];
   FILE *streamTmp;

   tmpnam(nomeTmp);

       /* Abre o arquivo temporrio */
   streamTmp = fopen(nomeTmp, "w+b");

   if(!streamTmp)
      return 1; /* Arquivo temporrio no pode ser criado */

   /* ... Operaes envolvendo o arquivo temporrio */

   fclose(streamTmp); /* O arquivo temporrio no  mais necessrio */
   remove(nomeTmp);   /* Apaga o arquivo temporrio */

   /* ... Operaes que no envolveem o arquivo temporrio */

   return 0;
}
