/****
 *
 * Exemplo: vfscanf.c
 *
 * Captulo: 12
 * Seo: 12.10.1
 *
 * Demonstra: O uso da funo vfscanf().
 *
 ****/

#include <stdio.h>
#include <stdarg.h>

int Exemplo_vfscanf(FILE *stream, const char *formato, ...)
{
   int     nValoresAtribuidos;
   va_list args;

   va_start(args, formato);
   nValoresAtribuidos = vfscanf(stream, formato, args);
   va_end(args);

   return nValoresAtribuidos;
}

int main(void)
{
   int   umInt, nValoresLidos;
   float umFloat;
   char  umChar;

   printf("Digite um inteiro, um real e um caractere:\n");

   nValoresLidos = Exemplo_vfscanf(stdin, "%d %f %c",
                                   &umInt, &umFloat, &umChar);
   printf("Numero de valores lidos e atribuidos: %d", nValoresLidos);

   return 0;
}
